Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Merge branch 'master' of https://github.com/acm-uiuc/twitter-sentiment

  • Loading branch information...
commit faa99ec60b459af945c498c7ff691ca8b7ca16c1 2 parents d6954b8 + 2f103b8
@scowalt scowalt authored
Showing with 84 additions and 0 deletions.
  1. +12 −0 Gemfile
  2. +71 −0 Gemfile.lock
  3. +1 −0  app.rb
View
12 Gemfile
@@ -0,0 +1,12 @@
+source "http://rubygems.org"
+gem "rake"
+gem "yard"
+gem "yajl-ruby"
+gem "cucumber"
+gem "tweetstream"
+gem "twitter"
+gem "face"
+gem "paint"
+gem "progressbar"
+gem "linguistics"
+
View
71 Gemfile.lock
@@ -0,0 +1,71 @@
+GEM
+ remote: http://rubygems.org/
+ specs:
+ activesupport (3.2.2)
+ i18n (~> 0.6)
+ multi_json (~> 1.0)
+ addressable (2.2.7)
+ builder (3.0.0)
+ cucumber (1.1.9)
+ builder (>= 2.1.2)
+ diff-lcs (>= 1.1.2)
+ gherkin (~> 2.9.0)
+ json (>= 1.4.6)
+ term-ansicolor (>= 1.0.6)
+ daemons (1.1.8)
+ diff-lcs (1.1.3)
+ eventmachine (0.12.10)
+ face (0.0.4)
+ json (>= 1.4.6)
+ rest-client (>= 1.6.1)
+ faraday (0.7.6)
+ addressable (~> 2.2)
+ multipart-post (~> 1.1)
+ rack (~> 1.1)
+ gherkin (2.9.0)
+ json (>= 1.4.6)
+ http_parser.rb (0.5.3)
+ i18n (0.6.0)
+ json (1.6.5)
+ linguistics (1.0.9)
+ mime-types (1.17.2)
+ multi_json (1.1.0)
+ multipart-post (1.1.5)
+ paint (0.8.4)
+ progressbar (0.10.0)
+ rack (1.4.1)
+ rake (0.9.2.2)
+ rest-client (1.6.7)
+ mime-types (>= 1.16)
+ simple_oauth (0.1.5)
+ term-ansicolor (1.0.7)
+ tweetstream (1.1.4)
+ daemons (~> 1.1)
+ multi_json (>= 1.0)
+ twitter-stream (= 0.1.14)
+ twitter (2.1.0)
+ activesupport (>= 2.3.9, < 4)
+ faraday (~> 0.7)
+ multi_json (~> 1.0)
+ simple_oauth (~> 0.1)
+ twitter-stream (0.1.14)
+ eventmachine (>= 0.12.8)
+ http_parser.rb (~> 0.5.1)
+ simple_oauth (~> 0.1.4)
+ yajl-ruby (1.1.0)
+ yard (0.7.5)
+
+PLATFORMS
+ ruby
+
+DEPENDENCIES
+ cucumber
+ face
+ linguistics
+ paint
+ progressbar
+ rake
+ tweetstream
+ twitter
+ yajl-ruby
+ yard
View
1  app.rb
@@ -1,6 +1,7 @@
# Add lib/ folder to end of the Ruby library search path so we can simply require them like gems
$:.push File.join(File.dirname(__FILE__),'lib')
require 'rubygems'
+require 'bundler/setup'
require 'purdy-print'
require 'twitter-sentiment'
include PurdyPrint
Please sign in to comment.
Something went wrong with that request. Please try again.